package space.rocketnine.gophast;

import android.net.Uri;
import android.webkit.MimeTypeMap;

public class Download {
    int Index;
    long ID;
    long DownloadManagerID;
    String URL;
    String Name;
    long Status;
    long Size;
    long Downloaded;
    Uri Path;
    boolean Complete;

    String getMIME() {
        String mime = "";

        String extension = MimeTypeMap.getFileExtensionFromUrl(Name);
        if (extension != null) {
            mime = MimeTypeMap.getSingleton().getMimeTypeFromExtension(extension);
        }

        if (mime == null || mime.isEmpty()) {
            mime = "application/octet-stream";
        }

        return mime;
    }
}